Bug 189385 - [PATCH] java/openjdk7: fix portlint(1) Compliant
Summary: [PATCH] java/openjdk7: fix portlint(1) Compliant
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Greg Lewis
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-05-06 01:10 UTC by takefu
Modified: 2014-06-10 01:26 UTC (History)
1 user (show)

See Also:


Attachments
openjdk-7.55.13.patch (1.87 KB, patch)
2014-05-06 01:10 UTC, takefu
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description takefu 2014-05-06 01:10:00 UTC
fix
 whitespace to tab
 portlint(1) Compliant
change
 distfile

Port maintainer (glewis@FreeBSD.org) is cc'd.


Generated with FreeBSD Port Tools 1.02 (mode: change, diff: ports)
Comment 1 Edwin Groothuis freebsd_committer 2014-05-06 01:10:04 UTC
Responsible Changed
From-To: freebsd-ports-bugs->glewis

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 dfilter service freebsd_committer 2014-05-09 02:36:23 UTC
Author: glewis
Date: Fri May  9 01:36:19 2014
New Revision: 353379
URL: http://svnweb.freebsd.org/changeset/ports/353379
QAT: https://qat.redports.org/buildarchive/r353379/

Log:
  . Handle spaces in CC, CXX or HOST_CC [1]
  . Convert a space to a tab [2]
  . Pet portlint by changing /nonexistent to ${NONEXISTENT} [2]
  
  PR:		189385 [2]
  Submitted by:	Dominic Fandrey <kamikaze@bsdforen.de> [1]
  		Takefu <takefu@airport.fm> [2]

Modified:
  head/java/openjdk7/Makefile

Modified: head/java/openjdk7/Makefile
==============================================================================
--- head/java/openjdk7/Makefile	Fri May  9 00:20:52 2014	(r353378)
+++ head/java/openjdk7/Makefile	Fri May  9 01:36:19 2014	(r353379)
@@ -28,7 +28,7 @@ WRKSRC=		${WRKDIR}/${PORTNAME}
 
 USES=		dos2unix iconv gmake zip
 USE_XORG+=	x11 xext xi xrender xt xtst
-MAKE_ARGS=	CC=${CC} CXX=${CXX} HOST_CC=${CC}
+MAKE_ARGS=	CC=${CC:Q} CXX=${CXX:Q} HOST_CC=${CC:Q}
 MAKE_JOBS_UNSAFE=	yes
 
 OPTIONS_DEFINE=		DEBUG POLICY TZUPDATE
@@ -103,9 +103,9 @@ BOOTSTRAP_JDKS=	${LOCALBASE}/openjdk7 \
 		${LOCALBASE}/openjdk6 \
 		${LOCALBASE}/bootstrap-openjdk
 
-DEBUG_MAKE_ENV=	ALT_OBJCOPY="/nonexistent"
+DEBUG_MAKE_ENV=	ALT_OBJCOPY=${NONEXISTENT}
 POLICY_MAKE_ENV=	UNLIMITED_CRYPTO=1
-TZUPDATE_RUN_DEPENDS=  ${LOCALBASE}/share/java/zi:${PORTSDIR}/java/java-zoneinfo
+TZUPDATE_RUN_DEPENDS=	${LOCALBASE}/share/java/zi:${PORTSDIR}/java/java-zoneinfo
 
 .include <bsd.port.options.mk>
 
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 Greg Lewis freebsd_committer 2014-06-10 01:26:57 UTC
Thank you!  I've committed these changes except for the ones which change the distfile for ant.  I'm actually happier with using the .zip distfile rather than the .tar.bz2 one in this case since that matches the distfile type for the main distfile and makes the port a little simpler.